<template>
  <nav class="breadcrumb">
    <ul>
      <li class="breadcrumb__item">
        <a href="/" class="breadcrumb__link" title="Перейти на главную">
          Главная
        </a>
      </li>
      <li
        v-for="item in breadcrumb"
        class="breadcrumb__item"
        :class="{ 'is-active': item.isActive }"
        :key="item.id"
      >
        <span v-if="item.isActive">{{ item.title }}</span>
        <a
          v-else
          :href="item.url.link"
          class="breadcrumb__link"
          :title="item.url.title"
        >
          {{ item.title }}
        </a>
      </li>
    </ul>
  </nav>
</template>

<script>
export default {
  name: "Breadcrumb",
  props: {
    breadcrumb: {
      type: Array,
      required: true
    }
  }
};
</script>
